<?php
Kirki::add_section( 'copyright_section', array(
    'title'          => esc_html__( 'Copyright Settings', 'rs-wp-minimal-blog' ),
    'panel'          => 'rs_wp_minimal_blog_global_panel',
    'capability'     => 'edit_theme_options',
) );

Kirki::add_field( 'rs_wp_minimal_blog_config', [
	'type'     => 'editor',
	'settings' => 'copyright_text',
	'label'    => esc_html__( 'Edit Copyright Text', 'rs-wp-minimal-blog' ),
	'section'  => 'copyright_section',
	'default'  => wp_kses_post( 'Copyright © 2023. All rights reserved.', 'rs-wp-minimal-blog' ),
	'transport' => 'postMessage',
    'js_vars'   => [
        [
            'element'  => '.site-copyright .site-info .site-copyright-text',
            'function' => 'html',
        ]
    ],
] );