<?php
Kirki::add_section( 'social_links_settings_section', array(
    'title'          => esc_html__( 'Social Links Settings', 'rs-wp-minimal-blog' ),
    'panel'          => 'rs_wp_minimal_blog_global_panel',
    'capability'     => 'edit_theme_options',
) );

$social_media_fields = array(
    'facebook' => 'Facebook',
    'twitter' => 'Twitter',
    'instagram' => 'Instagram',
    'linkedin' => 'Linkedin',
    'pinterest' => 'Pinterest',
    'line' => 'Line',
    'github' => 'Github',
    'youtube' => 'Youtube',
    'slack' => 'Slack',
    'apple' => 'Apple',
    'stack-overflow' => 'Stack-overflow',
    'dribble' => 'Dribble',
    'whatsapp' => 'Whatsapp',
);

foreach ( $social_media_fields as $field => $label ) {
    Kirki::add_field( 'rs_wp_minimal_blog_config', array(
        'type' => 'text',
        'settings' => $field,
        'label' => __( $label . ' URL', 'rs-wp-minimal-blog' ),
        'section' => 'social_links_settings_section',
        'default' => '#',
    ) );
}

