<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package RS WP MINIMAL BLOG
 */
get_header();
get_template_part('template-parts/page-header/page', 'header');
do_action('rs_wp_minimal_blog_search_before_content');
?>
	<section id="primary" class="content-area archive-page-section">
		<main id="main" class="site-main">
			<?php
			do_action( 'rs_wp_minimal_blog_before_default_page' );
			if ( have_posts() ) :
				echo '<div class="row'.rs_wp_minimal_blog_masonry_layout_control().'">';
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();
						get_template_part( 'template-parts/content/content', 'search' );
					endwhile;
					echo '</div>';
					rs_wp_minimal_blog_navigation();
				else :
					get_template_part( 'template-parts/content/content', 'none' );
				endif;
				do_action( 'rs_wp_minimal_blog_after_default_page' );
				?>
		</main><!-- #main -->
	</section><!-- #primary -->
<?php
do_action('rs_wp_minimal_blog_search_after_content');
get_footer(); ?>
