<?php
$postSliderQArgs = array(
	'post_type'	=> 'post',
	'posts_per_page'	=> 5,
);
$postSliderQuery = new WP_Query($postSliderQArgs);
if ($postSliderQuery->have_posts()) :
?>
<div class="rs-wp-minimal-blog-posts-slider-section">
	<div class="container-fluid">
		<div class="row justify-content-center">
			<?php
			while($postSliderQuery->have_posts()) :
				$postSliderQuery->the_post();
				$sliderPostThumb = get_the_post_thumbnail();
				$postThumbnailWrapper = 'has-post-thumbnail';
				if (empty($sliderPostThumb)) {
					$postThumbnailWrapper = 'no-post-thumbnail';
				}
			?>
			<div class="col-xxl col-xl-4 col-lg-4 col-md-6">
				<div class="rs-wp-minimal-blog-post-slider-inner">
					<article id="post-<?php the_ID(); ?>" <?php post_class($postThumbnailWrapper); ?>>
						<div class="slider-thumbnail <?php echo esc_attr($postThumbnailWrapper);?>">
							<?php
							rs_wp_minimal_blog_post_thumbnail(); ?>
						</div>
						<div class="slider-content-wrapper">
							<div class="slider-category">
								<?php rs_wp_minimal_blog_categories(); ?>
							</div>
							<div class="slider-title">
								<h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
							</div>
							<div class="slider-meta">
								<div class="slider-post-author">
									<?php rs_wp_minimal_blog_posted_by( true ); ?>
								</div>
								<div class="slider-post-date">
									<?php rs_wp_minimal_blog_posted_on(true); ?>
								</div>
							</div>
						</div>
					</article>
				</div>
			</div>
			<?php
			endwhile;
			?>
		</div>
	</div>
</div>
<?php
endif;
?>